opencv: cv::LDetector Class Reference

Public Member Functions | Public Attributes

# cv::LDetector Class Reference

`#include <features2d.hpp>`

List of all members.

## Public Member Functions
void | getMostStable2D (const Mat &image, CV_OUT vector< KeyPoint > &keypoints, int maxCount, const PatchGenerator &patchGenerator) const
| LDetector ()
| LDetector (int _radius, int _threshold, int _nOctaves, int _nViews, double _baseFeatureSize, double _clusteringDistance)
void | operator() (const vector< Mat > &pyr, CV_OUT vector< KeyPoint > &keypoints, int maxCount=0, bool scaleCoords=true) const
void | operator() (const Mat &image, CV_OUT vector< KeyPoint > &keypoints, int maxCount=0, bool scaleCoords=true) const
void | read (const FileNode &node)
void | setVerbose (bool verbose)
void | write (FileStorage &fs, const String &name=String()) const
## Public Attributes
double | baseFeatureSize
double | clusteringDistance
int | nOctaves
int | nViews
int | radius
int | threshold
bool | verbose

## Constructor & Destructor Documentation

cv::LDetector::LDetector | ( | ) |

cv::LDetector::LDetector | ( | int | _radius,
|  | int | _threshold,
|  | int | _nOctaves,
|  | int | _nViews,
|  | double | _baseFeatureSize,
|  | double | _clusteringDistance
| ) |  |

## Member Function Documentation

void cv::LDetector::getMostStable2D | ( | const Mat & | image,
|  | CV_OUT vector< KeyPoint > & | keypoints,
|  | int | maxCount,
|  | const PatchGenerator & | patchGenerator
| ) |  | const

void cv::LDetector::operator() | ( | const vector< Mat > & | pyr,
|  | CV_OUT vector< KeyPoint > & | keypoints,
|  | int | maxCount = `0`,
|  | bool | scaleCoords = `true`
| ) |  | const

void cv::LDetector::operator() | ( | const Mat & | image,
|  | CV_OUT vector< KeyPoint > & | keypoints,
|  | int | maxCount = `0`,
|  | bool | scaleCoords = `true`
| ) |  | const

void cv::LDetector::read | ( | const FileNode & | node ) |

void cv::LDetector::setVerbose | ( | bool | verbose ) |

void cv::LDetector::write | ( | FileStorage & | fs,
|  | const String & | name = `String()`
| ) |  | const

## Member Data Documentation

double cv::LDetector::baseFeatureSize

double cv::LDetector::clusteringDistance

int cv::LDetector::nOctaves

int cv::LDetector::nViews

int cv::LDetector::radius

int cv::LDetector::threshold

bool cv::LDetector::verbose

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines